## host 20000331

=== Makefile ===
#	@(#)Makefile            e07@nikhef.nl (Eric Wassenaar) 991515

# ----------------------------------------------------------------------
# Adapt the installation directories to your local standards.
# ----------------------------------------------------------------------

# This is where the host executable will go.
DESTBIN = /usr/local/bin

# This is where the host manual page will go.
DESTMAN = /usr/local/man

BINDIR = $(DESTBIN)
MANDIR = $(DESTMAN)/man1

# ----------------------------------------------------------------------
# Special compilation options may be needed only on a few platforms.
# See also the header file port.h for portability issues.
# ----------------------------------------------------------------------

#if defined(_AIX)
SYSDEFS = -D_BSD -D_BSD_INCLUDES -U__STR__ -DBIT_ZERO_ON_LEFT
#endif
 
#if defined(SCO) && You have either OpenDeskTop 3 or OpenServer 5
SYSDEFS = -DSYSV
#endif
 
#if defined(ultrix) && You are using the default ultrix <resolv.h>
SYSDEFS = -DULTRIX_RESOLV
#endif
 
#if defined(solaris) && You do not want to use BSD compatibility mode
SYSDEFS = -DSYSV
#endif
 
#if defined(solaris) && You are using its default broken resolver library
SYSDEFS = -DNO_YP_LOOKUP
#endif

SYSDEFS =

# ----------------------------------------------------------------------
# Configuration definitions.
# See also the header file conf.h for more configuration definitions.
# ----------------------------------------------------------------------

#if defined(BIND_49) && __res_state is still shipped as struct state
CONFIGDEFS = -DOLD_RES_STATE
#endif

#if defined(BIND_48) && You want to use the default bind res_send()
CONFIGDEFS = -DBIND_RES_SEND
#endif

#if defined(BIND_49) && You want to use the special host res_send()
CONFIGDEFS = -DHOST_RES_SEND
#endif

# This is the default in either case if you compile stand-alone.
CONFIGDEFS = -DHOST_RES_SEND

# ----------------------------------------------------------------------
# Include file directories.
# This program must be compiled with the same include files that
# were used to build the resolver library you are linking with.
# ----------------------------------------------------------------------

INCL = ../../include
INCL = .

COMPINCL = ../../compat/include
COMPINCL = .

INCLUDES = -I$(INCL) -I$(COMPINCL)

# ----------------------------------------------------------------------
# Compilation definitions.
# ----------------------------------------------------------------------

DEFS = $(CONFIGDEFS) $(SYSDEFS) $(INCLUDES)

COPTS =
COPTS = -O -DDEBUG
COPTS = -O

CFLAGS = $(COPTS) $(DEFS)

# Select your favorite compiler.
CC = /usr/ucb/cc			#if defined(solaris) && BSD
CC = /bin/cc -arch m68k -arch i386	#if defined(next)
CC = /bin/cc -Olimit 1000		#if defined(ultrix)
CC = /bin/cc
CC = cc

# ----------------------------------------------------------------------
# Linking definitions.
# libresolv.a should contain the resolver library of BIND 4.8.2 or later.
# Link it in only if your default library is different.
# SCO keeps its own default resolver library inside libsocket.a
#
# lib44bsd.a contains various utility routines, and comes with BIND 4.9.*
# You may need it if you link with the 4.9.* resolver library.
#
# libnet.a contains the getnet...() getserv...() getproto...() calls.
# It is safe to leave it out and use your default library.
# With BIND 4.9.3 the getnet...() calls are in the resolver library.
# ----------------------------------------------------------------------

RES = -lsocket				#if defined(SCO) && default
RES =
RES = ../../res/libresolv.a
RES = -lresolv

COMPLIB = ../../compat/lib/lib44bsd.a
COMPLIB = -lnet
COMPLIB =

LIBS = -lsocket -lnsl			#if defined(solaris) && not BSD
LIBS =

LIBRARIES = $(RES) $(COMPLIB) $(LIBS)

LDFLAGS =

# ----------------------------------------------------------------------
# Compatibility for compilation via the BIND master Makefile.
# ----------------------------------------------------------------------

# redefined by bind
CDEBUG = $(COPTS) $(CONFIGDEFS)
CDEFS = $(SYSDEFS) $(INCLUDES)
CFLAGS = $(CDEBUG) $(CDEFS)

# ----------------------------------------------------------------------
# Miscellaneous definitions.
# ----------------------------------------------------------------------

MAKE = make $(MFLAGS)

# This assumes the BSD install.
INSTALL = install -c

# Grrr
SHELL = /bin/sh

# ----------------------------------------------------------------------
# Files.
# ----------------------------------------------------------------------

PROG =	host
HDRS =	port.h conf.h exit.h type.h rrec.h defs.h host.h glob.h
SRCS =	main.c info.c list.c addr.c geth.c util.c misc.c test.c \
	file.c send.c vers.c
OBJS =	main.o info.o list.o addr.o geth.o util.o misc.o test.o \
	file.o send.o vers.o
MANS =	host.1
DOCS =	RELEASE_NOTES

UTILS = nslookup mxlookup rblookup
MISCS = malloc.c README_NT

FILES = Makefile $(DOCS) $(HDRS) $(SRCS) $(MANS) $(UTILS) $(MISCS)

PACKAGE = host
TARFILE = $(PACKAGE).tar

CLEANUP = $(PROG) $(OBJS) $(TARFILE) $(TARFILE).Z

# ----------------------------------------------------------------------
# Rules for installation.
# ----------------------------------------------------------------------

OWNER = root
GROUP = staff
MODE  = 755
STRIP = -s

all: $(PROG)

$(OBJS): $(HDRS)

$(PROG): $(OBJS)
	$(CC) $(LDFLAGS) -o $(PROG) $(OBJS) $(LIBRARIES)

install: $(PROG)
	$(INSTALL) -m $(MODE) -o $(OWNER) -g $(GROUP) $(STRIP) $(PROG) $(BINDIR)

man: $(MANS)
	$(INSTALL) -m 444 host.1 $(MANDIR)

clean:
	rm -f $(CLEANUP) *.o a.out core

# ----------------------------------------------------------------------
# host may be called with alternative names, querytype names and "zone".
# A few frequently used abbreviations are handy.
# ----------------------------------------------------------------------

ABBREVIATIONS = a ns cname soa wks ptr hinfo mx txt	# standard
ABBREVIATIONS = mb mg mr minfo				# deprecated
ABBREVIATIONS = md mf null gpos				# obsolete
ABBREVIATIONS = rp afsdb x25 isdn rt nsap nsap-ptr	# new
ABBREVIATIONS = sig key px aaaa loc nxt srv kx cert	# very new
ABBREVIATIONS = eid nimloc atma naptr			# draft
ABBREVIATIONS = uinfo uid gid unspec			# nonstandard
ABBREVIATIONS = maila mailb any				# filters

ABBREVIATIONS = mx ns soa zone

links:
	for i in $(ABBREVIATIONS) ; do \
		(cd $(BINDIR) ; ln -s $(PROG) $$i) ; \
	done

# ----------------------------------------------------------------------
# Rules for maintenance.
# ----------------------------------------------------------------------

lint:
	lint $(DEFS) $(SRCS)

alint:
	alint $(DEFS) $(SRCS)

llint:
	lint $(DEFS) $(SRCS) -lresolv

print:
	lpr -J $(PACKAGE) -p Makefile $(DOCS) $(HDRS) $(SRCS)

dist:
	tar cf $(TARFILE) $(FILES)
	compress $(TARFILE)

depend:
	mkdep $(DEFS) $(SRCS)

# DO NOT DELETE THIS LINE -- mkdep uses it.
# DO NOT PUT ANYTHING AFTER THIS LINE, IT WILL GO AWAY.

## host 20000331-9

=== debian/changelog ===
host (20000331-9) unstable; urgency=low

  * Updated upstream's URL in debian/copyright (closes: #180373)
  * Updated manpage about various representations of IP addresses,
    thanks Ben Harris (closes: #185138)
  * Lower-cased first letter of short description.
  * Bumped Standards-Version to 3.5.10

 -- Thomas Seyrat <tomasera@debian.org>  Mon,  9 Jun 2003 14:16:36 +0200

host (20000331-8) unstable; urgency=low

  * Bumped Standards-Version to 3.5.7

 -- Thomas Seyrat <tomasera@debian.org>  Sat, 21 Sep 2002 15:45:15 +0200

host (20000331-7) unstable; urgency=low

  * Oops, removed erroneous patch supposed to fix #104132 while it's
    not actually a bug. Octal representation of IP addresses is indeed
    tolerated. Thanks Mika Liljeberg. (closes: #153722)
  * Bumped Standards-Version to 3.5.6.1. 

 -- Thomas Seyrat <tomasera@debian.org>  Sun, 21 Jul 2002 11:56:03 +0200

host (20000331-6) unstable; urgency=low

  * Applied patch from Emmanuel le Chevoir <manu42@free.fr> to fix zero-padded
    IP addresses treated as octal. (closes: #104132)
  * Documented -B option (enforce BIND default behavior) in host.1.

 -- Thomas Seyrat <tomasera@debian.org>  Sun, 14 Jul 2002 16:42:44 +0200

host (20000331-5) unstable; urgency=low

  * Priority is in fact to remain extra, since bind9-host seems to be know
    highly preferred, with a standard priority.

 -- Thomas Seyrat <tomasera@debian.org>  Mon,  3 Jun 2002 14:36:47 +0200

host (20000331-4) unstable; urgency=low

  * Added exit status values to man page. (closes: #146241)
  * Removed host.manpages, host.dirs, host.docs. 

 -- Thomas Seyrat <tomasera@debian.org>  Mon,  3 Jun 2002 10:59:27 +0200

host (20000331-3) unstable; urgency=low

  * New maintainer. (closes: #136736)
  * Updated description. (closes: #108049, #130434)
  * Removed CFLAGS from debian/rules (hopefully this fixes many problems).
    (closes: #108438, #88928, #90174, #97340, #109912, #122126)

 -- Thomas Seyrat <tomasera@debian.org>  Thu, 21 Mar 2002 15:41:01 +0100

host (20000331-2) unstable; urgency=low

  * Orphan.  
  * I no longer use this, since I prefer bind9-host.  I see no evidence that
    this package is being maintained upstream, and the bug list is long.

 -- Bdale Garbee <bdale@gag.com>  Mon,  4 Mar 2002 01:07:42 -0700

host (20000331-1) unstable; urgency=low

  * Update to latest upstream source, closes: #28042, #41255, #79422
  * add 'txt' to the set of zone-type links provided.  They all feel like
    namespace polution to me, but there is no conflicting usage in the Contents
    files, and users do seem to really like these.  Closes: #74958

 -- Bdale Garbee <bdale@gag.com>  Mon, 26 Feb 2001 18:23:07 -0700

host (19990701-1) unstable; urgency=low

  * Separated from the BIND source package as part of releasing BIND 9, was
    formerly part of the dnsutils package.

 -- Bdale Garbee <bdale@gag.com>  Sat, 27 Jan 2001 02:05:21 -0700

=== debian/control ===
Source: host
Section: net
Priority: extra
Maintainer: Thomas Seyrat <tomasera@debian.org>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.10

Package: host
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: dnsutils (<< 1:9.0.0)
Replaces: dnsutils (<< 1:9.0.0)
Description: utility for querying DNS servers
 'host' is a utility, similar to 'nslookup' (deprecated) or 'dig',
 used to query DNS servers for domain names and zones.
 .
 This package provides the original version of 'host', originally
 in the package 'dnsutils'. BIND9 provides a similar utility, in
 'bind9-host'.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1
export DH_COMPAT=2

build:
	dh_testdir
	$(MAKE)

clean:
	dh_testdir
	dh_testroot
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs usr/bin usr/share/man/man1

	install -m755 -o0 -g0 host $(CURDIR)/debian/host/usr/bin/host

binary-indep: build install
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs RELEASE_NOTES
	dh_installman host.1
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## host replace-0.1.10

=== requirements.txt ===
regex
idna
